package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcCargoOrder;
import org.dromara.system.domain.bo.CargoOrderSubmitBo;
import org.dromara.system.domain.bo.TblDzbcCargoOrderBo;
import org.dromara.system.domain.vo.TblDzbcCargoOrderVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcCargoOrderService {

    TblDzbcCargoOrderVo queryById(Long id);

    TableDataInfo<TblDzbcCargoOrderVo> queryPageList(TblDzbcCargoOrderBo bo, PageQuery pageQuery);

    List<TblDzbcCargoOrderVo> queryList(TblDzbcCargoOrderBo bo);

    List<TblDzbcCargoOrderVo> queryByTripId(Long tripId);

    List<TblDzbcCargoOrderVo> queryByUserId(Long userId);

    TblDzbcCargoOrderVo submitOrder(CargoOrderSubmitBo bo);

    Boolean updateByBo(TblDzbcCargoOrderBo bo);

    Boolean updateStatus(Long id, Integer status);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
